> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1payment methodssetup



## OpenAPI

````yaml /api-reference/openapi.json post /v1/payment-methods/setup
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/payment-methods/setup:
    post:
      tags:
        - PaymentMethods
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentMethodsCreateSetupIntentRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/PaymentMethodsCreateSetupIntentRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PaymentMethodsCreateSetupIntentRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    PaymentMethodsCreateSetupIntentRequest:
      type: object
      properties:
        businessId:
          type: integer
          format: int64
          nullable: true
        userId:
          type: integer
          format: int64
          nullable: true
        paymentMethodTypes:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false

````